Subject: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: martin rudalics <[email-masked]>
Date: Wed, 19 Apr 2017 14:50:59 +0200

> I made an attempt at adapting/modernizing my "multicolumn" (
 > https://github.com/Lindydancer/multicolumn) package (which, among else, can
 > resize and reposition a frame). Currently, I have hardcoded the title size
 > for various systems -- on macOS I use "24". However, `frame-geometry' says
 > that the title height is 22 pixels. I'm not sure how to account for the
 > missing 2 pixels, any thoughts?

The value returned by ‘frame-geometry’ should be correct.  Look at all
the occurrences of FRAME_NS_TITLEBAR_HEIGHT in nsterm.m.  In contrast
with other platforms, NS uses that value internally all the time.

 > Martin, I also notices that `menu-bar-external' says `nil', but I guess is
 > should say non-nil, right?

Right.  It should say non-nil.

If possible, however, please check the function ‘ns-frame-edges’ for all
values of TYPE whether it handles the menu bar height correctly, i.e.,
ignores it.

Thanks, martin